### Function Macro

# Phosh dbus_service_error_warn

#### Declaration [src]

    #define phosh_dbus_service_error_warn (
      err,
      ...
    )

#### Description [src]

Prints a warning when `err` is ‘real’ error. If it merely indicates that the DBus service is not present at all it just logs a debug message.

This function is not directly available to language bindings.

#### Parameters

`err`

  Type: `-`

  The error to check and print.

`...`

  Type: `-`

  Format string followed by parameters to insert into the format string (as with printf()).